import 'package:krow/features/profile/benefits/domain/entities/benefit_entity.dart';

abstract interface class BenefitsRepository {
  Future<List<BenefitEntity>> getStaffBenefits();

  Future<BenefitEntity?> requestBenefit({required BenefitEntity benefit});
}